Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd
Interface SdFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SdFactoryImpl, SdFactoryImplGeneratedNot

    public interface SdFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SdPackage`

Field Summary
`static SdFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`SdAuxVariable` | `createSdAuxVariable()` Returns a new object of class 'Aux Variable'.
`SdConnector` | `createSdConnector()` Returns a new object of class 'Connector'.
`SdFlowVariable` | `createSdFlowVariable()` Returns a new object of class 'Flow Variable'.
`SdModel` | `createSdModel()` Returns a new object of class 'Model'.
`SdNamedElement` | `createSdNamedElement()` Returns a new object of class 'Named Element'.
`SdStockVariable` | `createSdStockVariable()` Returns a new object of class 'Stock Variable'.
`SdPackage` | `getSdPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SdFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSdNamedElement

    SdNamedElement createSdNamedElement()

  Returns a new object of class 'Named Element'.

  Returns:
    a new object of class 'Named Element'.

### createSdModel

    SdModel createSdModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createSdAuxVariable

    SdAuxVariable createSdAuxVariable()

  Returns a new object of class 'Aux Variable'.

  Returns:
    a new object of class 'Aux Variable'.

### createSdStockVariable

    SdStockVariable createSdStockVariable()

  Returns a new object of class 'Stock Variable'.

  Returns:
    a new object of class 'Stock Variable'.

### createSdFlowVariable

    SdFlowVariable createSdFlowVariable()

  Returns a new object of class 'Flow Variable'.

  Returns:
    a new object of class 'Flow Variable'.

### createSdConnector

    SdConnector createSdConnector()

  Returns a new object of class 'Connector'.

  Returns:
    a new object of class 'Connector'.

### getSdPackage

    SdPackage getSdPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD